Endpoints
Create a contact
string
required
International format, e.g.
255766298542.string
string
string
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Store recipients and organise them into groups.
| Method | Path | Purpose |
|---|---|---|
GET | /contacts | List your contacts |
POST | /contacts | Create one |
PUT | /contacts/{contactId} | Update one |
DELETE | /contacts/{contactId} | Delete one |
POST | /contacts/upload | Bulk upload |
DELETE | /contacts/bulk | Delete several at once |
255766298542.curl -X POST https://api.huduma.cloud/contacts \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"phoneNumber": "255766298542",
"firstName": "Asha",
"lastName": "Mushi"
}'
| Method | Path | Purpose |
|---|---|---|
POST | /group-contacts | Add contacts to a group |
GET | /group-contacts/{groupId} | List a group’s contacts |
DELETE | /group-contacts | Remove contacts from a group |